e=document.getElementsByTagName("TD");
for(k=15; k<e.length;k++) {
if(e[k].className=='posttdMessage') {
s=e[k].innerHTML;
while (s.indexOf('[spoiler') != -1){
s=s.replace('[spoiler="','<div class="bspoilerdtw"><div class="bspoilerdiv"><a href="#" class="bspoiler" onclick="return spoiler_js(this);"><span><img src="http://live-gamers.ru/white_diz/pl.gif" border="0"></span><span style="display:none;"><img src="http://live-gamers.ru/white_diz/min.gif" border="0"></span>&nbsp;');
s=s.replace('"]','</a></div><div style="padding:3px; border: 1px solid #5d5d5d; border-top: 0px; background: #d5d5d5; display: none;">');
s=s.replace('[/spoiler]','</div></div>');
e[k].innerHTML=s;
}
} }


function tag_spoiler(wh){
var enterURL  = prompt('Ввведите название спойлера', "Спойлер");
if (!enterURL || enterURL==''){
	return;
}

doInsert("[spoiler=\""+enterURL+"\"]Ваше сообщение[/spoiler]","",false,wh);	
}


function spoiler_js(obj) {
var obj_content = obj.parentNode.parentNode.getElementsByTagName('div')[1];
var obj_text_show = obj.getElementsByTagName('span')[1];
var obj_text_hide = obj.getElementsByTagName('span')[0];

if (obj_content.style.display != '') {
obj_content.style.display = '';
obj_text_show.style.display = '';
obj_text_hide.style.display = 'none';
} else {
obj_content.style.display = 'none';
obj_text_show.style.display = 'none';
obj_text_hide.style.display = '';
}
return false;
}